# Uses of Interface
org.eclipse.ecf.remoteservice.events.IRemoteCallCompleteEvent

Packages that use IRemoteCallCompleteEvent
Package
Description
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client

## Uses of IRemoteCallCompleteEvent in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice that return IRemoteCallCompleteEvent
Modifier and Type
Method
Description
`protected IRemoteCallCompleteEvent`
AbstractRemoteService.`createRCCE(Object result, Throwable e)`
`protected IRemoteCallCompleteEvent`
AbstractRemoteService.`createRCCEFailure(Throwable e)`
`protected IRemoteCallCompleteEvent`
AbstractRemoteService.`createRCCESuccess(Object result)`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteCallCompleteEvent
Modifier and Type
Method
Description
`protected void`
AbstractRemoteCallListener.`handleRemoteCallCompleteEvent(IRemoteCallCompleteEvent event)`
Method parameters in org.eclipse.ecf.remoteservice with type arguments of type IRemoteCallCompleteEvent
Modifier and Type
Method
Description
`protected void`
AbstractRemoteService.`callAsyncWithTimeout(IRemoteCall call, Callable<IRemoteCallCompleteEvent> callable, IRemoteCallListener callback)`

## Uses of IRemoteCallCompleteEvent in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that return types with arguments of type IRemoteCallCompleteEvent
Modifier and Type
Method
Description
`protected Callable<IRemoteCallCompleteEvent>`
AbstractRSAClientService.`getAsyncCallable(AbstractRSAClientService.RSARemoteCall call)`